Update configs for tommy.

This commit is contained in:
Darren 'Tadgy' Austin 2023-11-11 22:25:06 +00:00
commit 0bf6b014e2
57 changed files with 206 additions and 279 deletions

3
etc/.gitignore vendored
View file

@ -13,7 +13,6 @@
/bindresvport.blacklist
/ca-certificates/
/ca-certificates.conf
/certificates/
/colors/
/cron.d/
/cron.hourly/
@ -22,6 +21,7 @@
/cupshelpers/
/dbus-1/
/depmod.d/
/dhcpcd.conf
/dkms/
/dns/
/dracut.conf
@ -106,7 +106,6 @@
/udisks2/
/vdpau_wrapper.cfg
/wgetrc
/wpa_supplicant/
/xattr.conf
/xbps.d/
/xdg/

1
etc/NetworkManager/.gitignore vendored Normal file
View file

@ -0,0 +1 @@
/NetworkManager.conf

View file

@ -0,0 +1,9 @@
#!/bin/bash
case "$2" in
up)
[[ "$CONNECTION_UUID" == "fe7ed57d-af3d-4894-bf37-850e423d8e0f" ]] && /usr/sbin/sv once autofs
;;
esac
exit 0

View file

@ -0,0 +1 @@
/*.nmconnection

View file

@ -0,0 +1,3 @@
Œ  |\éóÔœ
ÜÿÒÀVÍ<1C>ïÀžÝQÛhXÇ0<C387>~p+ÿÎ *”—ÛSïÞ)†é<E280A0>ºÜ7&n@ïB€Kf°Å)?^á\™ßíuŽ>5ì+Žê'©gâÄ>Ϧ Ûkï!%Ë€¥æX^
Í[h¦@·ÝÌWö©eM hp{€¹N¥K úsBoqYBr¼ŽÍVEÅPK<50>®#G2¤ŠàÑ\øÞÃ-оÜ<œÖÏ`©˜ fE}<7D>½kî•)FTÉÐû°;<Á·£.€<>·<EFBFBD><11>‡-Æñ!t•¸|‚Õ"ÈüúXW[ÙnÄ9;}ÞßOÚ~SCoÂ˧Sùõ.ÞÆPAËú³š"y‰Ñw5h'£Iæ^Ós6¢n¾Œõ£<C3B5>À.

View file

@ -0,0 +1,9 @@
Section "InputClass"
Identifier "Touchpad"
MatchIsTouchpad "on"
Driver "libinput"
Option "Tapping" "on"
Option "ClickMethod" "clickfinger"
Option "AccelSpeed" "0.25"
# Option "DisableWhileTyping" "bool"
EndSection

24
etc/cachefilesd.conf Normal file
View file

@ -0,0 +1,24 @@
###############################################################################
#
# Copyright (C) 2006,2010 Red Hat, Inc. All Rights Reserved.
# Written by David Howells (dhowells@redhat.com)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
###############################################################################
dir /var/cache/fscache
tag nas0
brun 10%
bcull 9%
bstop 5%
frun 10%
fcull 9%
fstop 5%
# Assuming you're using SELinux with the default security policy included in
# this package
#secctx system_u:system_r:cachefiles_kernel_t:s0

View file

@ -0,0 +1,8 @@
-----BEGIN DH PARAMETERS-----
MIIBCAKCAQEA/eltYO27l9pQbQT1g5eqr7Q8iKP+TTtvMcEIinpqFO/xXlfmkJQ2
lHOt6jKPU75D5rs2yLpi0vbFthPjh/627kbIJrs9NN2SVPm6bcU3ZE1AmeKUY+7P
0qyEwD3MdS9vfcEESdkh6zY19ALuKXMEyhTu4rYzWzZAPPNpfQTsLqoRr4f0r9Ht
e/MFBn13mJfnP+Y7qrsHGbQB6xmNiEiX1uoO8s1/T5PG8FfPLoUuahTwO4tAa2K3
OeUloD1O+X2Vlr96l7h7QaiA1Drz7qeJSMNArhOmV6DjkVWT0Xrx8z/UqC5uL3VZ
HxtuqCawkY2kKwT1xw6e7Vn217u8v9ib5wIBBQ==
-----END DH PARAMETERS-----

View file

@ -0,0 +1,13 @@
-----BEGIN CERTIFICATE-----
MIIB/zCCAaagAwIBAgIIYTsef/0JU9MwCgYIKoZIzj0EAwQwVzESMBAGA1UEChMJ
QWZ0ZXJkYXJrMRcwFQYDVQQDEw5BZnRlcmRhcmsgUm9vdDEoMCYGCSqGSIb3DQEJ
ARYZc3lzYWRtaW5AYWZ0ZXJkYXJrLm9yZy51azAeFw0yMDAxMDEwMDAwMDBaFw0z
OTEyMzEyMzU5NTlaMFgxEjAQBgNVBAoTCUFmdGVyZGFyazEYMBYGA1UEAwwPKi5h
ZnRlcmRhcmsubGFuMSgwJgYJKoZIhvcNAQkBFhlzeXNhZG1pbkBhZnRlcmRhcmsu
b3JnLnVrMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEpY03l2dNsMetws9bpYCA
rF2u3LuWan17jFkA3WyTqRY9OCqV0eIug78OLlEOD6PDxxp7CWY5MufXzJ0u6Wxf
16NbMFkwDAYDVR0TAQH/BAIwADAdBgNVHQ4EFgQUwsGf/l3uDE4UOGjaUU7n0vZu
pbUwDgYDVR0PAQH/BAQDAgWgMBoGA1UdEQQTMBGCDyouYWZ0ZXJkYXJrLmxhbjAK
BggqhkjOPQQDBANHADBEAiB4/awdPUg1yjWun0eWXducsCaO0D5l69nqqwK2O+k0
sgIgUUxC0biEYaMLbdLunQkm8ZoZOitjB4lmMyhxR8zebto=
-----END CERTIFICATE-----

Binary file not shown.

View file

@ -0,0 +1 @@
_msmtp_-afterdark.lan-cert.pem

View file

@ -0,0 +1 @@
_msmtp_-afterdark.lan-key.pem

View file

@ -0,0 +1 @@
/opt/bin/cronjob-update-packages-list

View file

@ -0,0 +1 @@
/opt/bin/cronjob-warn-git-status

View file

@ -1,26 +0,0 @@
#!/bin/bash
# Check for an /etc/os-release.
[[ ! -e /etc/os-release ]] && {
printf "%s: %s\\n" "${BASH_SOURCE[0]}" "No /etc/os-release to determine system." >&2
exit 1
}
# Source system info.
. /etc/os-release
# Create package list depending on system type.
case "$ID" in
'slackware')
/usr/sbin/slackpkg -batch=on -default_answer=y generate-template "$(hostname --short)" >/dev/null
;;
'void')
/usr/sbin/xbps-query -l | awk '{ print $2 }' | rev | cut -d- -f2- | rev >/etc/pkglist
;;
*)
printf "%s: %s\\n" "${BASH_SOURCE[0]}" "Unsupported system." >&2
exit 1
;;
esac
exit 0

View file

@ -1,38 +0,0 @@
#!/bin/bash
CHECK_DIRS=( '/' '/etc/slackpkg/templates' )
OUTPUT_FILE="/tmp/${0##*/}-$$-$RANDOM"
# Remove the OUTPUT_FILE when done.
trap 'rm -f "$OUTPUT_FILE"' EXIT
# Source the mail configuration.
source /etc/mail.conf "git-status" 2>/dev/null || {
printf "%s: %s\\n" "${0##*/}" "Failed to source /etc/mail.conf" >&2
exit 1
}
# Loop through the list and process.
for DIR in "${CHECK_DIRS[@]}"; do
[[ ! -e "$DIR" ]] || [[ ! -d "$DIR" ]] && continue
TMP_OUTPUT="$(cd "$DIR" && [[ "$(git rev-parse --show-toplevel)" == "$PWD" ]] && git status | grep -E -ve "^(On branch|Your branch|No commits|nothing|$)" -e "\(use")"
[[ -n "$TMP_OUTPUT" ]] && printf "%s:\\n%s\\n\\n" "$DIR" "$TMP_OUTPUT" >>"$OUTPUT_FILE"
unset TMP_OUTPUT
done
[[ ! -s "$OUTPUT_FILE" ]] && {
exit 0
}
# Send the message.
if [[ -n "${EMAIL_TO[*]}" ]]; then
mailx "${MAILX_ARGS[@]}" -S "from=$EMAIL_FROM" -s "Git statuses" "${EMAIL_TO[@]}" <<<"$(cat "$OUTPUT_FILE")" 2>/dev/null || {
printf "%s: %s\\n" "${0##*/}" "mailx command failed" >&2
exit 1
}
else
printf "%s: %s\\n" "${0##*/}" "no recipient configured for mail delivery" >&2
exit 1
fi
exit 0

View file

@ -1,17 +1,17 @@
# Printer configuration file for CUPS v2.4.7
# Printer configuration file for CUPS v2.4.6
# Written by cupsd
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
NextPrinterId 4
NextPrinterId 6
<Printer Brother_DCP-1610W>
PrinterId 2
UUID urn:uuid:38bb3c4e-debc-3be6-549f-73681a4091b6
Info Brother DCP-1610W
Location
MakeModel Brother DCP-1600 series, using brlaser v6
DeviceURI lpd://Printer/BINARY_P1
DeviceURI lpd://pr0/BINARY_P1
State Idle
StateTime 1661516089
ConfigTime 1697735960
StateTime 1695241734
ConfigTime 1687994073
Type 4164
Accepting Yes
Shared No
@ -22,22 +22,22 @@ KLimit 0
OpPolicy default
ErrorPolicy stop-printer
Attribute marker-colors \#000000,none
Attribute marker-levels -1,94
Attribute marker-levels -1,93
Attribute marker-names Black Toner Cartridge,Drum Unit
Attribute marker-types toner,opc
Attribute marker-change-time 1661516089
Attribute marker-change-time 1695241734
</Printer>
<Printer Brother_DCP-J1050DW>
PrinterId 3
UUID urn:uuid:fabcb579-b6a7-316b-4389-1e8df80b5433
PrinterId 5
UUID urn:uuid:b239f3a0-4ef5-3482-6e1b-97e58cf6fc60
AuthInfoRequired none
Info Brother DCP-J1050DW
Location
MakeModel DCP-J1050DW - IPP Everywhere
DeviceURI ipp://pr1/
State Idle
StateTime 1697736316
ConfigTime 1697736171
StateTime 1688056971
ConfigTime 1687993929
Type 36892
Accepting Yes
Shared No
@ -47,9 +47,9 @@ PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
Attribute marker-levels 69,73,62,80
Attribute marker-levels 99,99,99,99
Attribute marker-low-levels 24,24,24,25
Attribute marker-high-levels 100,100,100,100
Attribute marker-types ink-cartridge,ink-cartridge,ink-cartridge,ink-cartridge
Attribute marker-change-time 1697736316
Attribute marker-change-time 1688056953
</Printer>

View file

@ -6,12 +6,13 @@ GRUB_DEFAULT=0
#GRUB_HIDDEN_TIMEOUT_QUIET=false
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="Void"
GRUB_CMDLINE_LINUX_DEFAULT="loglevel=3 radeon.si_support=0"
#GRUB_CMDLINE_LINUX_DEFAULT="loglevel=3 radeon.si_support=0 amdgpu.si_support=1"
#GRUB_CMDLINE_LINUX_DEFAULT="radeon.si_support=0 radeon.cik_support=0 amdgpu.si_support=1 amdgpu.cik_support=1"
#GRUB_CMDLINE_LINUX_DEFAULT="loglevel=4"
GRUB_CMDLINE_LINUX_DEFAULT="loglevel=3 acpi_osi=! acpi_osi='Windows 2015' acpi_osi=Linux acpi_os_name='Windows 2015' consoleblank=600"
#GRUB_CMDLINE_LINUX_DEFAULT="acpi_osi='Windows 2015' acpi_osi=! acpi_os_name='Windows 2015' slub_debug=P page_poison=1 snd_intel_dspcfg.dsp_driver=1 consoleblank=600"
#GRUB_CMDLINE_LINUX_DEFAULT="acpi_osi='Windows 2015' acpi_os_name='Windows 2015' slub_debug=P page_poison=1 snd_hda_intel.dmic_detect=0 consoleblank=600"
#GRUB_CMDLINE_LINUX_DEFAULT="acpi_os_name='Windows 2021' acpi_osi='Windows 2021' loglevel=4 slub_debug=P page_poison=1 snd_hda_intel.dmic_detect=0 consoleblank=600"
#GRUB_CMDLINE_LINUX_DEFAULT="loglevel=4 slub_debug=P page_poison=1 pci=nocrs consoleblank=600"
# Uncomment to use basic console
#GRUB_TERMINAL_INPUT="console"
#GRUB_TERMINAL_INPUT=console
# Uncomment to disable graphical terminal
#GRUB_TERMINAL_OUTPUT=console
#GRUB_BACKGROUND=/usr/share/void-artwork/splash.png

View file

@ -1 +1 @@
SYSLOGD_ARGS=('--rcdir=/etc/syslog.d' '--rcfile=/etc/syslog.conf' '--ipany' '--mark=0' '--no-detach' '--pidfile=/run/syslogd.pid' '--inet' '-s' 'afterdark.org.uk')
SYSLOGD_ARGS=('--rcdir=/etc/syslog.d' '--rcfile=/etc/syslog.conf' '--mark=0' '--no-detach' '--pidfile=/run/syslogd.pid')

View file

@ -1,53 +0,0 @@
# See dhcpcd.conf(5) for details.
# Allow users of this group to interact with dhcpcd via the control socket.
controlgroup wheel
# Inform the DHCP server of our hostname for DDNS.
hostname
# Use the hardware address of the interface for the Client ID.
#clientid
# or
# Use the same DUID + IAID as set in DHCPv6 for DHCPv4 ClientID as per RFC4361.
# Some non-RFC compliant DHCP servers do not reply with this set.
# In this case, comment out duid and enable clientid above.
duid
# Persist interface configuration when dhcpcd exits.
persistent
# vendorclassid is set to blank to avoid sending the default of
# dhcpcd-<version>:<os>:<machine>:<platform>
vendorclassid
# A list of options to request from the DHCP server.
option domain_name_servers, domain_name, domain_search
option classless_static_routes
# Respect the network MTU. This is applied to DHCP routes.
#option interface_mtu
# Request a hostname from the network
#option host_name
# Most distributions have NTP support.
#option ntp_servers
# Rapid commit support.
# Safe to enable by default because it requires the equivalent option set
# on the server to actually work.
option rapid_commit
# A ServerID is required by RFC2131.
require dhcp_server_identifier
# Generate SLAAC address using the Hardware Address of the interface
#slaac hwaddr
# OR generate Stable Private IPv6 Addresses based from the DUID
slaac private
# Static IP for the interface
interface enp12s0
static ip_address=192.168.67.1
static routers=192.168.67.254
static domain_name_servers=192.168.67.254

View file

@ -1,43 +0,0 @@
root:x:0:
bin:x:1:
sys:x:2:
kmem:x:3:
wheel:x:4:tadgy
tty:x:5:
tape:x:6:
daemon:x:7:
floppy:x:8:tadgy
disk:x:9:
lp:x:10:_saned
dialout:x:11:
audio:x:12:pulse,tadgy
video:x:13:tadgy
utmp:x:14:
adm:x:15:
cdrom:x:16:tadgy
optical:x:17:tadgy
mail:x:18:
storage:x:19:
scanner:x:20:_saned
network:x:21:tadgy
kvm:x:24:tadgy
input:x:25:
plugdev:x:26:
usbmon:x:27:
sgx:x:28:
nogroup:x:99:
users:x:100:
xbuilder:x:101:tadgy
_dhcpcd:x:999:
_uuidd:x:998:
dbus:x:22:
polkitd:x:997:
lxdm:x:996:
lpadmin:x:995:
_saned:x:994:
_mlocate:x:993:
rpc:x:992:
ntpd:x:991:
rtkit:x:990:
pulse-access:x:989:
pulse:x:988:

Binary file not shown.

View file

@ -1 +1 @@
phil.afterdark.lan
tommy.afterdark.lan

View file

@ -0,0 +1,36 @@
# Generated by ip6tables-save v1.8.9 on Sat Nov 11 18:23:41 2023
*mangle
:PREROUTING ACCEPT [31:5612]
:INPUT ACCEPT [31:5612]
:FORWARD ACCEPT [0:0]
:OUTPUT ACCEPT [0:0]
:POSTROUTING ACCEPT [0:0]
COMMIT
# Completed on Sat Nov 11 18:23:41 2023
# Generated by ip6tables-save v1.8.9 on Sat Nov 11 18:23:41 2023
*nat
:PREROUTING ACCEPT [4:1508]
:INPUT ACCEPT [0:0]
:OUTPUT ACCEPT [0:0]
:POSTROUTING ACCEPT [0:0]
COMMIT
# Completed on Sat Nov 11 18:23:41 2023
# Generated by ip6tables-save v1.8.9 on Sat Nov 11 18:23:41 2023
*filter
:INPUT DROP [31:5612]
:FORWARD DROP [0:0]
:OUTPUT ACCEPT [0:0]
-A INPUT -i lo -j ACCEPT
-A INPUT -m conntrack --ctstate INVALID -j DROP
-A INPUT -i wlp0s20f3 -m conntrack --ctstate RELATED,ESTABLISHED -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 128 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 129 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 1 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 3 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 4 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 2 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 135 -j ACCEPT
-A INPUT -i wlp0s20f3 -p ipv6-icmp -m icmp6 --icmpv6-type 136 -j ACCEPT
-A INPUT -i wlp0s20f3 -p tcp -m tcp --dport 22 --tcp-flags FIN,SYN,RST,ACK SYN -m conntrack --ctstate NEW -j ACCEPT
COMMIT
# Completed on Sat Nov 11 18:23:41 2023

View file

@ -0,0 +1,33 @@
# Generated by iptables-save v1.8.9 on Sat Nov 11 18:23:11 2023
*mangle
:PREROUTING ACCEPT [252:35644]
:INPUT ACCEPT [252:35644]
:FORWARD ACCEPT [0:0]
:OUTPUT ACCEPT [197:113683]
:POSTROUTING ACCEPT [197:113683]
COMMIT
# Completed on Sat Nov 11 18:23:11 2023
# Generated by iptables-save v1.8.9 on Sat Nov 11 18:23:11 2023
*nat
:PREROUTING ACCEPT [33:2255]
:INPUT ACCEPT [0:0]
:OUTPUT ACCEPT [8:1852]
:POSTROUTING ACCEPT [8:1852]
COMMIT
# Completed on Sat Nov 11 18:23:11 2023
# Generated by iptables-save v1.8.9 on Sat Nov 11 18:23:11 2023
*filter
:INPUT DROP [33:2255]
:FORWARD DROP [0:0]
:OUTPUT ACCEPT [197:113683]
-A INPUT -i lo -j ACCEPT
-A INPUT -m conntrack --ctstate INVALID -j DROP
-A INPUT -i wlp0s20f3 -m conntrack --ctstate RELATED,ESTABLISHED -j ACCEPT
-A INPUT -i wlp0s20f3 -p icmp -m icmp --icmp-type 8 -j ACCEPT
-A INPUT -i wlp0s20f3 -p icmp -m icmp --icmp-type 0 -j ACCEPT
-A INPUT -i wlp0s20f3 -p icmp -m icmp --icmp-type 3 -j ACCEPT
-A INPUT -i wlp0s20f3 -p icmp -m icmp --icmp-type 11 -j ACCEPT
-A INPUT -i wlp0s20f3 -p icmp -m icmp --icmp-type 12 -j ACCEPT
-A INPUT -i wlp0s20f3 -p tcp -m tcp --dport 22 --tcp-flags FIN,SYN,RST,ACK SYN -m conntrack --ctstate NEW -j ACCEPT
COMMIT
# Completed on Sat Nov 11 18:23:11 2023

View file

@ -12,10 +12,4 @@ esac
EMAIL_FROM="${HOSTNAME%%.*} <noreply@$EMAIL_DOMAIN>"
EMAIL_TO=("sysadmin@$EMAIL_DOMAIN")
case "$1" in
sbosrcarch)
MAILX_ARGS=("-c" "Urchlay <urchlay@slackware.uk>")
;;
esac
true

2
etc/minirc.dfl Normal file
View file

@ -0,0 +1,2 @@
# Machine-generated file - use "minicom -s" to change parameters.
pu port /dev/ttyUSB0

View file

@ -1,7 +1,7 @@
account default
host gw.afterdark.lan
timeout 300
domain phil.afterdark.lan
domain tommy.afterdark.lan
tls off
tls_starttls off
tls_trust_file /etc/ssl/certs/ca-certificates.crt

View file

@ -1,4 +1,18 @@
AppStream
NetworkManager
cachefilesd
foomatic-db
foomatic-db-nonfree
linux-firmware
mtr
network-manager-applet
mailx
inetutils-syslog
hunspell
alsa-firmware
glow
iftop
iotop
mpv
CoinMP
SDL2
Signal-Desktop
@ -6,17 +20,14 @@ aalib
acl
acpid
adwaita-icon-theme
alsa-firmware
alsa-lib
alsa-plugins-pulseaudio
alsa-utils
amdvlk
amiri-font
apulse
at-spi2-atk
at-spi2-core
atk
atkmm
attr
autofs
avahi-glib-libs
@ -30,7 +41,6 @@ bind-libs
bind-utils
binutils
binutils-doc
brltty
brother-brlaser
brotli
btrfs-progs
@ -39,7 +49,6 @@ bzip2
c-ares
ca-certificates
cairo
cairomm
cantarell-fonts
cdrtools
celt
@ -63,7 +72,6 @@ dejavu-fonts-ttf
desktop-file-utils
device-mapper
dhcpcd
dialog
diffutils
dnssec-anchors
dosfstools
@ -75,7 +83,6 @@ e2fsprogs-libs
efibootmgr
enchant2
encodings
espeakup
ethtool
eudev
eudev-libudev
@ -137,7 +144,6 @@ fuse
galculator
galculator-gtk3
gawk
gc
gd
gdbm
gdk-pixbuf
@ -153,9 +159,6 @@ glib
glib-networking
glibc
glibc-locales
glibmm
glow
glslang
glu
glxinfo
gmp
@ -169,7 +172,6 @@ gnutls
gpgmepp
gpicview
gpm
gptfdisk
graphene
graphite
grep
@ -178,7 +180,6 @@ grub-i386-efi
grub-x86_64-efi
gsettings-desktop-schemas
gsfonts
gsl
gspell
gst-plugins-bad1
gst-plugins-base1
@ -188,7 +189,6 @@ gtk+
gtk+3
gtk-update-icon-cache
gtk4
gtkmm
gtksourceview4
gzip
hdf5
@ -200,19 +200,15 @@ hyphen
iana-etc
iceauth
icu-libs
iftop
imath
imlib2
inetutils-ftp
inetutils-syslog
inetutils-telnet
inih
inkscape
intel-gmmlib
intel-media-driver
intel-ucode
intel-video-accel
iotop
iproute2
iptables
iputils
@ -231,7 +227,6 @@ kpartx
lame
lcms2
less
lib2geom
libICE
libOSMesa
libSM
@ -251,7 +246,6 @@ libXi
libXinerama
libXmu
libXpm
libXpresent
libXrandr
libXrender
libXres
@ -279,7 +273,6 @@ libavresample
libavutil
libblkid
libblockdev
libbluetooth
libbluray
libboost_atomic
libboost_chrono
@ -312,18 +305,13 @@ libcups
libcups-filters
libcurl
libdatrie
libdav1d
libdaxctl
libdb
libde265
libdebuginfod
libdecor
libdeflate
libdjvulibre
libdrm
libdvdcss
libdvdnav
libdvdread
libe-book
libedit
libefivar
@ -332,7 +320,6 @@ libelogind
libepoxy
libepubgen
liberation-fonts-ttf
libespeak-ng
libetonyek
libev
libevdev
@ -368,7 +355,6 @@ libgpgme
libgphoto2
libgphoto2-udev-rules
libgpm
libgraphicsmagick
libgs
libgsasl
libgsf
@ -385,7 +371,6 @@ libid3tag
libidn
libidn2
libijs
libimagequant
libimobiledevice
libinput
libisofs
@ -430,7 +415,6 @@ libnl3
libnuma
libnumbertext
libnuspell
libnvme
libodfgen
libogg
libopenal
@ -445,12 +429,10 @@ libpcap
libpciaccess
libpcre2
libpipewire
libplacebo
libplist
libpng
libpoppler
libpostproc
libpotrace
libproxy
libpsl
libpulseaudio
@ -486,7 +468,6 @@ librevenge
librist
librsvg
librtmp
librubberband
libsamplerate
libsane
libsasl
@ -495,12 +476,10 @@ libsecret
libsensors
libserd
libsharpyuv
libsigc++
libsmartcols
libsndfile
libsndio
libsodium
libsonic
libsord
libsoup
libsoxr
@ -534,7 +513,6 @@ libuuid
libuv
libva
libva-intel-driver
libvamp-plugin-sdk
libvdpau
libvidstab
libvips
@ -542,7 +520,6 @@ libvisio
libvisual
libvoikko
libvorbis
libvpx
libwacom
libwavpack
libwebp
@ -562,7 +539,6 @@ libxkbcommon-x11
libxkbfile
libxkbregistry
libxml2
libxmlb
libxshmfence
libxslt
libxxHash
@ -577,12 +553,10 @@ linux-firmware-intel
linux-firmware-network
linux-firmware-nvidia
linux-vt-setcolors
linux6.5
lm_sensors
lowdown
lpsolve
lsof
lua52
lvm2
lxappearance
lxappearance-obconf
@ -600,7 +574,6 @@ lxtask
lxterminal
lynx
lzo
mailx
make
man-pages
man-pages-devel
@ -614,8 +587,6 @@ menu-cache
mesa
mesa-demos
mesa-dri
mesa-vaapi
mesa-vdpau
mesa-vulkan-intel
minicom
mit-krb5-libs
@ -625,10 +596,8 @@ moreutils
mousepad
mozjs102
mpfr
mpv
msmtp
mtdev
mtools
mypaint-brushes1
mythes
nano
@ -648,7 +617,6 @@ nvi
obconf
ocl-icd
oclock
openblas
openbox
openssh
openssl
@ -661,8 +629,6 @@ pam-base
pam-libs
pango
pango-xft
pangomm
pcaudiolib
pciutils
pcmanfm
perl
@ -694,15 +660,9 @@ procps-ng
pulseaudio
pulseaudio-utils
python3
python3-Pillow
python3-appdirs
python3-charset-normalizer
python3-cssselect
python3-idna
python3-lxml
python3-numpy
python3-requests
python3-scour
python3-setuptools
python3-six
python3-urllib3
@ -731,19 +691,13 @@ runit
runit-void
sane
sbc
sccs
schilytools
screen
sdd
sed
sessreg
setxkbmap
sfind
shaderc
shadow
shared-mime-info
shellcheck
smake
smartmontools
smproxy
soundtouch
@ -752,7 +706,6 @@ spdx-licenses-list
speexdsp
sqlite
sratom
star
startup-notification
sudo
syslinux
@ -766,20 +719,18 @@ transset
tslib
twolame
tzdata
uchardet
udisks2
unrar
unzip
upower
usbutils
util-linux
util-linux-common
v4l-utils
ved
vmaf
void-artwork
void-docs
void-docs-browse
void-live-audio
void-repo-nonfree
volume_key
vte3
@ -848,7 +799,6 @@ xlogo
xlsatoms
xlsclients
xmessage
xmirror
xmlrpc-c
xmlsec1
xmodmap

View file

@ -1,5 +1,5 @@
# This file was automatically generated by cupsd(8) from the
# /etc/cups/printers.conf file. All changes to this file
# will be lost.
Brother_DCP-1610W|Brother DCP-1610W:rm=phil.afterdark.lan:rp=Brother_DCP-1610W:
Brother_DCP-J1050DW|Brother DCP-J1050DW:rm=phil.afterdark.lan:rp=Brother_DCP-J1050DW:
Brother_DCP-1610W|Brother DCP-1610W:rm=tommy.afterdark.lan:rp=Brother_DCP-1610W:
Brother_DCP-J1050DW|Brother DCP-J1050DW:rm=tommy.afterdark.lan:rp=Brother_DCP-J1050DW:

View file

@ -23,7 +23,7 @@ HARDWARECLOCK="UTC"
KEYMAP=uk
# Console font to load, see setfont(8).
FONT="ter-v24n"
FONT="ter-v32n"
# Console map to load, see setfont(8).
#FONT_MAP=

View file

@ -1,11 +1,10 @@
#!/bin/bash
# Default rc.local for void; add your custom commands here.
#
# This is run by runit in stage 2 before the services are executed
# (see /etc/runit/2).
# Restart after a powerfail.
/usr/sbin/setpci -s 0:1f.0 0xa4.b=0
# Set the backlight brightness.
echo 5000 >/sys/class/backlight/intel_backlight/brightness
# Change console palette.
[[ -x /sbin/setcolors ]] && /sbin/setcolors /etc/setcolors.conf

View file

@ -7,5 +7,5 @@
[[ ! -e /run/rc-shutdown-ran ]] && {
[[ -x /opt/bin/pushover-client ]] && /opt/bin/pushover-client -p -1 -m "Shutting down: ${HOSTNAME%%.*}"
toch /run/rc-shutdown-ran
touch /run/rc-shutdown-ran
}

View file

@ -0,0 +1 @@
/etc/sv/NetworkManager

View file

@ -0,0 +1 @@
/etc/sv/cachefilesd

View file

@ -0,0 +1 @@
umount -f -r -a -t nosysfs,noproc,nodevtmpfs,notmpfs

View file

@ -3,7 +3,7 @@
2#008000
3#aa5500
4#0000aa
5#5833ff
5#675090
6#00aaaa
7#aaaaaa
8#555555
@ -11,6 +11,6 @@
10#00ff00
11#ffff00
12#0000ff
13#5833ff
13#8865cc
14#00ffff
15#ffffff

View file

@ -145,4 +145,4 @@
# DEVICESCAN may be followed by any desired Directives.
#DEVICESCAN -a -s (S/../.././02|L/../../7/07) -I 190 -W 5,30,35 -m sysadmin@opensourcerers.uk -M daily -M test
DEVICESCAN -a -s (S/../.././02|L/../../7/07) -W 5,30,35 -m darren@afterdark.org.uk -M daily
DEVICESCAN -a -s (S/../.././02|L/../../7/07) -W 5,35,39 -m sysadmin@afterdark.org.uk -M daily

Binary file not shown.

View file

@ -1 +1 @@
ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBEk5L0y7Skd8vZLONzhzSzxYyu8/v/NajhBgGBhxDCxw3W7XRUW7l6fSAyjfkGIOccE6wH1EAwP5j3Xq2O9lkMc= root@void-live
ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBDJr0it4/5W3BctqhhKU+hd8PRzZw97Ep7dw5EQhUcOGd3owDXCZCbi5xPshfCIc3qGjJQPJ/MIHsMDkrZzTGcI= root@tommy

Binary file not shown.

View file

@ -1 +1 @@
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHjz3PZKTcAzU6RtIS+7Qo90hBGzLDV8k1c9lAXK+A3+ root@void-live
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK0qAHBVm5gEwH2ztOcX7jclJxQ+1b1y6C0+TYzeFrBD root@tommy

Binary file not shown.

View file

@ -1 +1 @@
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC3/coKfLqBW9BxLxBtT9m+ZohuUxF9qB1EBn95eP4zepStDVmwpB72JY/6lyv5PcK7Ja/6pbGlIomreIf8avOKHhDvk0cIL2wh0glJKyO1vJx88UnOvF0OMZUz0u2yojgMhUOPAi7MHG9O/rv3YNdVjzbYbY4Ul+fYhDOULEHV/gzyYgxccatD3Jq3Ec8uqUFFCaRy4qElFlzM063C3EX7O1e0n21sZpdtt/S86zv2crUlRR29XtWFjggondFTCuRt4IDdHaZ5CPe7mjCE1s5cCdiTkTacOTVM05BVYO312xqFOXLeiOZn+jnNXbQdE8hOxItpaZ/MWNW09biet6wBIRS9ZI4MzfP+fpE+WDmUgSxKaF77sIv1tYdEqxbQgu860d/GgH02PkO95xz5iIKr0ufwfFaHEF7o7ItBW+oE2hm+mcFV9+isSHPXTpcDM3u0jWniqe/qFjbfqGEuaY8fmc4a+bxN7ChG0Pt9B0OhdyaBVle8nUIyFzweuMPSwPM= root@void-live
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQC8oU1kJ7AaCD6TwG0420UtzdzxYaXaS1dbLiAJ1sS3SMKHZ7b3MFOfBrbA42B6lfN21JYLvJWkD/r7r4m7Cj0/ySMFKjcjIZh6mpoCz+nMaKX5i1qw1xV5t8HOsGfH7TXn+L0CQy7ZtKxNPbcMdpe9/lqyl31L8lxIhvnOTZkZzLOucHBCfZYB2QDHoaAMxRSQhJ0y0/a7JBJNJAdJgH5Qut3J32Zu06WOdPVa2p4oObwCAjiAnQC/yjEfJ3i8jon4uNGcWWl7u1fREVQNmOL/Jv/aJlwqeJA7h+f322q8JyORr5gO6JwJ6zsTWlzBalO6jcOnliiORGqloM6aDx1BGeZjJJgjP60O6pt+PgJDg3gModxeAOwhTWjqVz7KHv9da8yO18Qb/9efsqwNu5+rmGZUbDEB2jd52q3cpvMokDyTtaO1/cF8EbmIjF4eBvfTGR+fWQ9z3BR3mz4laxIxFReXPMcSjzX9QdAmXkzaa+bIS9Mf/AKm+rOdn4N0h4E= root@tommy

2
etc/sv/.gitignore vendored
View file

@ -1,3 +1,4 @@
/NetworkManager/
/acpid/
/agetty-console/
/agetty-generic/
@ -17,6 +18,7 @@
/apache/
/autofs/
/brltty/
/cachefilesd/
/crond
/cups-browsed/
/cupsd/

View file

@ -1,4 +1,3 @@
#!/bin/sh
exec 1>&2
#exec gpm -D -m /dev/input/mice -t imps2 -d 6 -a 4 -3
exec gpm -D -m /dev/input/mice -t imps2 -3
exec gpm -D -m /dev/input/mice -t imps2 -d 6 -a 4 -3

1
etc/wpa_supplicant/.gitignore vendored Normal file
View file

@ -0,0 +1 @@
/*.conf

Binary file not shown.

1
usr/.gitignore vendored
View file

@ -2,6 +2,7 @@
/lib/
/lib32/
/lib64
/libexec/
/local/
/sbin
/share/

View file

@ -1,3 +0,0 @@
/*
!/.gitignore
!/dhcpcd-hooks

View file

@ -1,3 +0,0 @@
/*
!/.gitignore
!/10-mtu

View file

@ -1,2 +0,0 @@
# Set the interface MTU.
/usr/sbin/ip l set mtu 9000 dev enp12s0

1
var/.gitignore vendored
View file

@ -1,4 +1,3 @@
/cache/
/chroot/
/db/
/empty/

2
var/cache/.gitignore vendored Normal file
View file

@ -0,0 +1,2 @@
/cups/
/xbps/

2
var/cache/fscache/.gitignore vendored Normal file
View file

@ -0,0 +1,2 @@
/cache/
/graveyard/